%global momorel 5

Summary:   epiphany is a GNOME web browser
Name:      epiphany
Version: 1.4.8
Release: %{momorel}m
License:   GPL
Group:     Applications/Internet
Source: http://ftp.gnome.org/pub/GNOME/sources/epiphany/1.4/epiphany-%{version}.tar.bz2
URL:       http://www.gnome.org/projects/epiphany/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0
BuildPrereq: glib-devel >= 2.4.0
BuildPrereq: gtk+-devel >= 2.4.0
BuildPrereq: GConf-devel >= 2.6.0
BuildPreReq: mozilla-devel >= 1.7.11
BuildPreReq: nautilus-devel >= 2.4.2
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: intltool >= 0.30

PreReq: GConf
PreReq: scrollkeeper
Provides: webclient

%description
Epiphany is a GNOME web browser based on the mozilla rendering engine. The name meaning: "An intuitive grasp of reality through something (as an event) usually simple and striking"

%package devel
Summary: files for developing epiphany components
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: nautilus-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop epiphany components.

%prep
%setup -q

#cp -f /usr/share/intltool/intltool-{extract,merge,update}.in .

%build
export CFLAGS=-O2
export CXXFLAGS=-O2
%configure
%make localedir=%{_datadir}/locale

%install
%__rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall localedir=%{buildroot}/%{_datadir}/locale

# remove
%__rm -rf %{buildroot}/var/scrollkeeper

%clean
%__rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/epiphany.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/epiphany-lockdown.schemas > /dev/null
scrollkeeper-update

%postun
scrollkeeper-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog* INSTALL NEWS README TODO
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/epiphany
%{_libdir}/bonobo/servers/*.server
%{_datadir}/application-registry/epiphany.applications
%{_datadir}/applications/bme.desktop
%{_datadir}/applications/epiphany.desktop
%{_datadir}/epiphany
%{_datadir}/gnome/help/epiphany
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/omf/epiphany
%{_datadir}/pixmaps/epiphany*.png
%{_mandir}/man1/epiphany.1*

%files devel
%defattr(-, root, root)
%{_includedir}/epiphany-1.4
%{_libdir}/pkgconfig/epiphany-1.4.pc
%{_datadir}/gtk-doc/html/epiphany

%changelog
* Sun Jul 31 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4.8-5m)
- rebuild against mozilla-1.7.11

* Mon Jul 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.8-4m)
- rebuild against mozilla-1.7.10

* Thu May 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.8-3m)
- rebuild against mozilla-1.7.8

* Mon Apr 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.8-2m)
- rebuild against mozilla-1.7.7

* Thu Mar 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.8-1m)
- update to 1.4.8 for mozilla-1.7.6

* Fri Dec 24 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.4.7-1m)
- update for mozilla-1.7.5

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.6-5m)
- rebuild against gcc-c++-3.4.1

* Thu Sep 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.6-4m)
- rebuild against mozilla-1.7.3

* Sat Aug  7 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.6-3m)
- rebuild against mozilla-1.7.2

* Tue Jul  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.6-2m)
- remove '%%requires_eq mozilla' and rebuild against mozilla-1.7-2m

* Tue Jun 29 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.6-1m)
- ver. up

* Sat Apr 24 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.3-1m)
- version 1.2.3

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (1.2.2-2m)
- revised spec for rpm 4.2.

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2.2-1m)
- version 1.2.2
- GNOME 2.6 Desktop
- adjustment BuildPreReq
- remove intltool-* file copy command

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.7-2m)
- revised spec for enabling rpm 4.2.

* Fri Mar 12 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.7-1m)
- update to 1.0.7
- use installed intltool-{extract,merge,update}.in instead of ones that included in an archive.

* Sat Dec 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.6-1m)
- version up to 1.0.6

* Mon Oct 27 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.0.4-1m)
- version up to 1.0.4

* Fri Oct 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.3-1m)
- version 1.0.3

* Fri Oct 17 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.2-2m)
- rebuild against mozilla-1.5

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.2-1m)
- version 1.0.2

* Thu Oct 09 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.0.1-1m)
- version 1.0.1

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.0-1m)
- version 1.0

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.4-1m)
- version 0.8.4

* Tue Aug 05 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.2-1m)
- version 0.8.2

* Thu Jul 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.0-1m)
- version 0.8.0

* Wed Jul  2 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.7.3-2m)
- rebuild against for mozilla-1.4
- build with gcc3.2

* Mon Jun 30 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.3-1m)
- version 0.7.3

* Sat Jun 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.1-1m)
- version 0.7.1

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.7.0-1m)
- version 0.7.0

* Mon May 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.1-1m)
- version 0.6.1

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.0-1m)
- version 0.6.0

* Mon Apr 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.0-2m)
- modify starthere xmls and xsl.
- add encoding property to xmls.
- add lang property to section element (ephy-start-here.c).
- add lang property to html element (xsl).

* Mon Apr 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.0-1m)
- version 0.5.0

* Mon Apr  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.2-1m)
- version 0.4.2
